Tool: list_pass_issuers
Retrieves a comprehensive list of all pass issuers registered in the Google Wallet business console associated with the authenticated user. This tool provides essential information for developers managing Wallet passes like loyalty cards, gift cards, or flights.
The following code sample shows how to use curl to call the list_pass_issuers MCP tool.
| Curl Request |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_pass_issuers", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for listing pass issuers that are shared with the authenticated user.
Output Schema
Response message for listing pass issuers that are shared with the authenticated user.
ListPassIssuersResponse
| JSON representation |
|---|
{
"passIssuers": [
{
object ( |
| Fields | |
|---|---|
passIssuers[] |
The basic information of the pass issuers that is shared to the user. |
PassIssuer
| JSON representation |
|---|
{ "issuerId": string, "displayName": string } |
| Fields | |
|---|---|
issuerId |
Optional. The unique identifier of the pass issuer. |
displayName |
Optional. The display name of the pass issuer. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌